

CREATE TABLE `image` (
  `id` BIGINT(20) NOT NULL ,
  `path` VARCHAR(255) NULL DEFAULT NULL ,
  `created` DATETIME NULL DEFAULT NULL ,
  `modified` DATETIME NULL DEFAULT NULL ,
  PRIMARY KEY (`id`) );


CREATE TABLE `book` (
  `id` BIGINT(20) NOT NULL ,
  `title` VARCHAR(255) NULL DEFAULT NULL ,
  `slug` VARCHAR(255) NULL DEFAULT NULL ,
  `image_id` BIGINT(20) NOT NULL ,
  `created` DATETIME NULL DEFAULT NULL ,
  `modified` DATETIME NULL DEFAULT NULL ,
  PRIMARY KEY (`id`) ,
  CONSTRAINT `fk_book_image1`
    FOREIGN KEY (`image_id` )
    REFERENCES `image` (`id` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION);


CREATE TABLE `chapter` (
  `id` BIGINT(20) NOT NULL ,
  `title` VARCHAR(255) NULL DEFAULT NULL ,
  `slug` VARCHAR(255) NULL DEFAULT NULL ,
  `book_id` BIGINT(20) NOT NULL ,
  `created` DATETIME NULL DEFAULT NULL ,
  `modified` DATETIME NULL DEFAULT NULL ,
  PRIMARY KEY (`id`) ,
  CONSTRAINT `fk_chapter_book`
    FOREIGN KEY (`book_id` )
    REFERENCES `book` (`id` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION);
